NXOpen .NET Reference  12.0.0
NXOpen.UF.UFPoint Member List

This is the complete list of members for NXOpen.UF.UFPoint, including all inherited members.

AskPointOutput(NXOpen.Tag point_feature_id, out NXOpen.Tag point_id)NXOpen.UF.UFPoint
Create3Scalars(NXOpen.Tag[] xyz, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateAlongCurve(NXOpen.Tag curve, NXOpen.Tag base_point, NXOpen.Tag t, UFSo.PointAlongCurveOption option, bool flip, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateAtConicCenter(NXOpen.Tag conic, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateAtIntersectionOfTwoCurves(NXOpen.Tag curve1, NXOpen.Tag curve2, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateOnArcAngle(NXOpen.Tag arc, NXOpen.Tag angle, NXOpen.Tag xform, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateOnCurve(NXOpen.Tag curve, NXOpen.Tag t, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateOnSurface(NXOpen.Tag surface, NXOpen.Tag u, NXOpen.Tag v, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateSurfaceCurveIntersection(NXOpen.Tag surface, NXOpen.Tag curve, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
CreateWithOffset(NXOpen.Tag base_point, NXOpen.Tag offset, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPoint
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.